# The Sirtaki grammar
Katrien Beuls and Paul Van Eecke,
July 2018

This FCG grammar fragment was designed for the participants of the ICCG-10 tutorial in Paris. The grammar operationalizes some insights from Bill Croft's analysis of the aspectual contours of English sentences (cf. Ch 3-4 of his monograph Verbs, 2012). According to Croft, the aspectual contour of an utterance relies on:

- The semantic properties of the verb (lexical aspect)
- Verbal Tense-Aspect constructions (e.g. perfect, present, progressive) 
- The presence of objects and their type (e.g. non-generic NPs) 
- The presence of adverbial groups and their type (e.g. durative adverbs) 

The following files are part of the FCG implementation:

1. `start.lisp` that contains instructions to load the grammar and run a number of test sentences/meanings that the fragment covers.
2. `constructions.lisp` with the construction inventory definition, along with all constructions that were created for this analysis. 

The FCG grammar can analyze and produce these sentences:

"the man dances"
"the man dances the sirtaki"
"the man danced"
"the man danced the sirtaki"
"the man danced the sirtaki for three hours"
"the man danced the sirtaki every day"
"the man is dancing the sirtaki"
"the man has danced the sirtaki"

Comments or questions can be send to info@fcg-net.org.

